{
	"configurations" : 
	[
		{
			"directories" : 
			[
				{
					"build" : ".",
					"childIndexes" : 
					[
						1
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-.-d0094a50bb2071803777.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"projectIndex" : 0,
					"source" : ".",
					"targetIndexes" : 
					[
						69,
						71,
						74,
						76,
						78,
						79,
						80,
						88,
						90,
						92,
						93,
						99,
						100,
						107,
						110,
						111,
						112,
						113,
						114,
						117
					]
				},
				{
					"build" : "esp-idf",
					"childIndexes" : 
					[
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24,
						25,
						26,
						29,
						30,
						31,
						32,
						33,
						34,
						35,
						37,
						38,
						40,
						41,
						42,
						43,
						44,
						45,
						46,
						47,
						48,
						49,
						50,
						51,
						52,
						53,
						54,
						55,
						56,
						57,
						58,
						59,
						60,
						61,
						62,
						63,
						64,
						65,
						66,
						67,
						68,
						69,
						70,
						71,
						72,
						73,
						74,
						75,
						76,
						77,
						78,
						79,
						80,
						81,
						82,
						83,
						84,
						85,
						86,
						87,
						88,
						89,
						90
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf-5bd24d74cc2e244d0c78.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 0,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf"
				},
				{
					"build" : "esp-idf/xtensa",
					"jsonFile" : "directory-esp-idf.xtensa-130d1990df0d277f51cf.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/xtensa",
					"targetIndexes" : 
					[
						67
					]
				},
				{
					"build" : "esp-idf/esp_ringbuf",
					"jsonFile" : "directory-esp-idf.esp_ringbuf-af748033ec6bf0ef1def.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_ringbuf",
					"targetIndexes" : 
					[
						29
					]
				},
				{
					"build" : "esp-idf/efuse",
					"jsonFile" : "directory-esp-idf.efuse-07e14464e9e875eb8996.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/efuse",
					"targetIndexes" : 
					[
						8,
						81,
						82,
						83,
						84,
						85,
						108,
						109
					]
				},
				{
					"build" : "esp-idf/esp_timer",
					"jsonFile" : "directory-esp-idf.esp_timer-a5ead02d47d619f62e38.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_timer",
					"targetIndexes" : 
					[
						32
					]
				},
				{
					"build" : "esp-idf/driver",
					"jsonFile" : "directory-esp-idf.driver-a688634c9bc4f0f5a1e1.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/driver",
					"targetIndexes" : 
					[
						7
					]
				},
				{
					"build" : "esp-idf/esp_pm",
					"jsonFile" : "directory-esp-idf.esp_pm-3d988e70880fb4a4df22.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_pm",
					"targetIndexes" : 
					[
						28
					]
				},
				{
					"build" : "esp-idf/mbedtls",
					"childIndexes" : 
					[
						9
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls-e0b247d18b048d1a4a47.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/mbedtls",
					"targetIndexes" : 
					[
						48,
						77
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls",
					"childIndexes" : 
					[
						10,
						11,
						14,
						15
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls-7e334c751e637a9b3b47.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 8,
					"projectIndex" : 2,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/mbedtls/mbedtls",
					"targetIndexes" : 
					[
						70
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/include",
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.include-005e38cc53cc399c6a37.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 9,
					"projectIndex" : 2,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/mbedtls/mbedtls/include"
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/3rdparty",
					"childIndexes" : 
					[
						12,
						13
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.3rdparty-bf1121135cacfbe9d0d0.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 9,
					"projectIndex" : 2,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/mbedtls/mbedtls/3rdparty"
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/3rdparty/everest",
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.3rdparty.everest-90c2e68ab6ce52f434d2.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 11,
					"projectIndex" : 2,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/mbedtls/mbedtls/3rdparty/everest",
					"targetIndexes" : 
					[
						91
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/3rdparty/p256-m",
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.3rdparty.p256-m-d1c8021d29e068e8b46b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 11,
					"projectIndex" : 2,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/mbedtls/mbedtls/3rdparty/p256-m",
					"targetIndexes" : 
					[
						101
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/library",
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.library-87b65774db3f6e4ad8df.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 9,
					"projectIndex" : 2,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/mbedtls/mbedtls/library",
					"targetIndexes" : 
					[
						94,
						95,
						96,
						97
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/pkgconfig",
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.pkgconfig-cd4fb3530eb80cf54b23.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 9,
					"projectIndex" : 2,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/mbedtls/mbedtls/pkgconfig"
				},
				{
					"build" : "esp-idf/esp_app_format",
					"jsonFile" : "directory-esp-idf.esp_app_format-bb06214b5edb3b97e195.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_app_format",
					"targetIndexes" : 
					[
						11
					]
				},
				{
					"build" : "esp-idf/bootloader_support",
					"jsonFile" : "directory-esp-idf.bootloader_support-5e4aebdce567894f822e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/bootloader_support",
					"targetIndexes" : 
					[
						3
					]
				},
				{
					"build" : "esp-idf/bootloader",
					"jsonFile" : "directory-esp-idf.bootloader-aed39589a4f27a12a09b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/bootloader",
					"targetIndexes" : 
					[
						75,
						87
					]
				},
				{
					"build" : "esp-idf/esptool_py",
					"jsonFile" : "directory-esp-idf.esptool_py-7620615c607e0eb71f25.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esptool_py",
					"targetIndexes" : 
					[
						72,
						73,
						86
					]
				},
				{
					"build" : "esp-idf/partition_table",
					"jsonFile" : "directory-esp-idf.partition_table-7ff4bfef339484d6677a.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/partition_table",
					"targetIndexes" : 
					[
						89,
						102,
						103,
						104,
						105,
						106
					]
				},
				{
					"build" : "esp-idf/esp_partition",
					"jsonFile" : "directory-esp-idf.esp_partition-768873968fc9bdcdcde4.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_partition",
					"targetIndexes" : 
					[
						26
					]
				},
				{
					"build" : "esp-idf/app_update",
					"jsonFile" : "directory-esp-idf.app_update-39999059a8db107b7199.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/app_update",
					"targetIndexes" : 
					[
						2
					]
				},
				{
					"build" : "esp-idf/esp_mm",
					"jsonFile" : "directory-esp-idf.esp_mm-da00b56c1f9c66500e1e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_mm",
					"targetIndexes" : 
					[
						24
					]
				},
				{
					"build" : "esp-idf/spi_flash",
					"jsonFile" : "directory-esp-idf.spi_flash-9f012f8b02fc05a1007e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/spi_flash",
					"targetIndexes" : 
					[
						57
					]
				},
				{
					"build" : "esp-idf/pthread",
					"jsonFile" : "directory-esp-idf.pthread-a1911634203804d32c48.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/pthread",
					"targetIndexes" : 
					[
						54
					]
				},
				{
					"build" : "esp-idf/esp_system",
					"childIndexes" : 
					[
						27
					],
					"jsonFile" : "directory-esp-idf.esp_system-6b73e81736006609f13a.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_system",
					"targetIndexes" : 
					[
						31,
						68,
						98
					]
				},
				{
					"build" : "esp-idf/esp_system/port",
					"childIndexes" : 
					[
						28
					],
					"jsonFile" : "directory-esp-idf.esp_system.port-c058aed6e70f888c7412.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 26,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_system/port"
				},
				{
					"build" : "esp-idf/esp_system/port/soc/esp32s2",
					"jsonFile" : "directory-esp-idf.esp_system.port.soc.esp32s2-a74d3673cc4edf69a015.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 27,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_system/port/soc/esp32s2"
				},
				{
					"build" : "esp-idf/esp_common",
					"jsonFile" : "directory-esp-idf.esp_common-c9efa42b72aeaa4cded6.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_common",
					"targetIndexes" : 
					[
						13
					]
				},
				{
					"build" : "esp-idf/esp_rom",
					"jsonFile" : "directory-esp-idf.esp_rom-7c96a79df00bfa191ea3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_rom",
					"targetIndexes" : 
					[
						30
					]
				},
				{
					"build" : "esp-idf/hal",
					"jsonFile" : "directory-esp-idf.hal-0c14e46336e31effc1e4.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/hal",
					"targetIndexes" : 
					[
						41
					]
				},
				{
					"build" : "esp-idf/log",
					"jsonFile" : "directory-esp-idf.log-3a408ea9b4e59319fcf3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/log",
					"targetIndexes" : 
					[
						46
					]
				},
				{
					"build" : "esp-idf/heap",
					"jsonFile" : "directory-esp-idf.heap-2f423186769e56412888.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/heap",
					"targetIndexes" : 
					[
						42
					]
				},
				{
					"build" : "esp-idf/soc",
					"jsonFile" : "directory-esp-idf.soc-d11cc6e4ff0a29840930.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/soc",
					"targetIndexes" : 
					[
						56
					]
				},
				{
					"build" : "esp-idf/esp_hw_support",
					"childIndexes" : 
					[
						36
					],
					"jsonFile" : "directory-esp-idf.esp_hw_support-4d880422f795252e1aec.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_hw_support",
					"targetIndexes" : 
					[
						21
					]
				},
				{
					"build" : "esp-idf/esp_hw_support/port/esp32s2",
					"jsonFile" : "directory-esp-idf.esp_hw_support.port.esp32s2-30481887edc995f44cdb.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 35,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_hw_support/port/esp32s2"
				},
				{
					"build" : "esp-idf/freertos",
					"jsonFile" : "directory-esp-idf.freertos-e5f1736e30311868ae61.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/freertos",
					"targetIndexes" : 
					[
						40
					]
				},
				{
					"build" : "esp-idf/newlib",
					"childIndexes" : 
					[
						39
					],
					"jsonFile" : "directory-esp-idf.newlib-fdaa20e4f55a7bfbfb58.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/newlib",
					"targetIndexes" : 
					[
						49
					]
				},
				{
					"build" : "esp-idf/newlib/port",
					"jsonFile" : "directory-esp-idf.newlib.port-ca6830dd744cc369f09c.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 38,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/newlib/port"
				},
				{
					"build" : "esp-idf/cxx",
					"jsonFile" : "directory-esp-idf.cxx-e0489a0a0719e7e2b017.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/cxx",
					"targetIndexes" : 
					[
						6
					]
				},
				{
					"build" : "esp-idf/__pio_env",
					"jsonFile" : "directory-esp-idf.__pio_env-b43b3918ecd4c298d936.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/__pio_env",
					"targetIndexes" : 
					[
						0
					]
				},
				{
					"build" : "esp-idf/app_trace",
					"jsonFile" : "directory-esp-idf.app_trace-fe2c044e773b75d6c247.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/app_trace",
					"targetIndexes" : 
					[
						1
					]
				},
				{
					"build" : "esp-idf/esp_event",
					"jsonFile" : "directory-esp-idf.esp_event-0641efe4d25e597739aa.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_event",
					"targetIndexes" : 
					[
						15
					]
				},
				{
					"build" : "esp-idf/nvs_flash",
					"jsonFile" : "directory-esp-idf.nvs_flash-9354e80c2d9587d19daf.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/nvs_flash",
					"targetIndexes" : 
					[
						50
					]
				},
				{
					"build" : "esp-idf/esp_phy",
					"jsonFile" : "directory-esp-idf.esp_phy-2b3b98ee28ec97f49c1d.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_phy",
					"targetIndexes" : 
					[
						27
					]
				},
				{
					"build" : "esp-idf/vfs",
					"jsonFile" : "directory-esp-idf.vfs-6f6e8327c9e3242a8ff5.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/vfs",
					"targetIndexes" : 
					[
						64
					]
				},
				{
					"build" : "esp-idf/lwip",
					"jsonFile" : "directory-esp-idf.lwip-82655b929ad3b1a8fba9.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/lwip",
					"targetIndexes" : 
					[
						47
					]
				},
				{
					"build" : "esp-idf/esp_netif_stack",
					"jsonFile" : "directory-esp-idf.esp_netif_stack-959ea0daed8e0b8173c2.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_netif_stack"
				},
				{
					"build" : "esp-idf/esp_netif",
					"jsonFile" : "directory-esp-idf.esp_netif-6ef5e717ade06998a148.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_netif",
					"targetIndexes" : 
					[
						25
					]
				},
				{
					"build" : "esp-idf/wpa_supplicant",
					"jsonFile" : "directory-esp-idf.wpa_supplicant-faca9a15bc99c0abfea4.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/wpa_supplicant",
					"targetIndexes" : 
					[
						66
					]
				},
				{
					"build" : "esp-idf/esp_coex",
					"jsonFile" : "directory-esp-idf.esp_coex-1d0873d67a602d9637b3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_coex",
					"targetIndexes" : 
					[
						12
					]
				},
				{
					"build" : "esp-idf/esp_wifi",
					"jsonFile" : "directory-esp-idf.esp_wifi-e125f377e17182f60ead.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_wifi",
					"targetIndexes" : 
					[
						33
					]
				},
				{
					"build" : "esp-idf/bt",
					"jsonFile" : "directory-esp-idf.bt-5bd05d016ab516c78d77.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/bt"
				},
				{
					"build" : "esp-idf/unity",
					"jsonFile" : "directory-esp-idf.unity-679b32bd0d8cbe93c534.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/unity",
					"targetIndexes" : 
					[
						62
					]
				},
				{
					"build" : "esp-idf/cmock",
					"jsonFile" : "directory-esp-idf.cmock-d348b431faa822f801dc.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/cmock",
					"targetIndexes" : 
					[
						4
					]
				},
				{
					"build" : "esp-idf/console",
					"jsonFile" : "directory-esp-idf.console-570492f71801aebf9c9b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/console",
					"targetIndexes" : 
					[
						5
					]
				},
				{
					"build" : "esp-idf/http_parser",
					"jsonFile" : "directory-esp-idf.http_parser-39aded29dbfb26690042.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/http_parser",
					"targetIndexes" : 
					[
						43
					]
				},
				{
					"build" : "esp-idf/esp-tls",
					"jsonFile" : "directory-esp-idf.esp-tls-fe929ae51a0e4aef27a0.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp-tls",
					"targetIndexes" : 
					[
						9
					]
				},
				{
					"build" : "esp-idf/esp_adc",
					"jsonFile" : "directory-esp-idf.esp_adc-def1205c5aa42b16e5c1.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_adc",
					"targetIndexes" : 
					[
						10
					]
				},
				{
					"build" : "esp-idf/esp_eth",
					"jsonFile" : "directory-esp-idf.esp_eth-dc9353b2f791af7fce41.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_eth",
					"targetIndexes" : 
					[
						14
					]
				},
				{
					"build" : "esp-idf/esp_gdbstub",
					"jsonFile" : "directory-esp-idf.esp_gdbstub-8b6e300b5e79c1acbe45.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_gdbstub",
					"targetIndexes" : 
					[
						16
					]
				},
				{
					"build" : "esp-idf/esp_hid",
					"jsonFile" : "directory-esp-idf.esp_hid-d33c4574514cc3b40380.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_hid",
					"targetIndexes" : 
					[
						17
					]
				},
				{
					"build" : "esp-idf/tcp_transport",
					"jsonFile" : "directory-esp-idf.tcp_transport-ab206fc263dd0dffee6e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/tcp_transport",
					"targetIndexes" : 
					[
						59
					]
				},
				{
					"build" : "esp-idf/esp_http_client",
					"jsonFile" : "directory-esp-idf.esp_http_client-1d823837f694b8feaf30.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_http_client",
					"targetIndexes" : 
					[
						18
					]
				},
				{
					"build" : "esp-idf/esp_http_server",
					"jsonFile" : "directory-esp-idf.esp_http_server-2ee634fc34d1f8c3213f.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_http_server",
					"targetIndexes" : 
					[
						19
					]
				},
				{
					"build" : "esp-idf/esp_https_ota",
					"jsonFile" : "directory-esp-idf.esp_https_ota-55c2bf189053897de0df.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_https_ota",
					"targetIndexes" : 
					[
						20
					]
				},
				{
					"build" : "esp-idf/esp_https_server",
					"jsonFile" : "directory-esp-idf.esp_https_server-1f7ae66873a0de987db1.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_https_server"
				},
				{
					"build" : "esp-idf/esp_psram",
					"jsonFile" : "directory-esp-idf.esp_psram-1f282767cfc283e91129.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_psram"
				},
				{
					"build" : "esp-idf/esp_lcd",
					"jsonFile" : "directory-esp-idf.esp_lcd-e580eb8c940410d95501.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_lcd",
					"targetIndexes" : 
					[
						22
					]
				},
				{
					"build" : "esp-idf/protobuf-c",
					"jsonFile" : "directory-esp-idf.protobuf-c-1336f13464f37e9a2bf6.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/protobuf-c",
					"targetIndexes" : 
					[
						52
					]
				},
				{
					"build" : "esp-idf/protocomm",
					"jsonFile" : "directory-esp-idf.protocomm-efbf219aaed89995247a.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/protocomm",
					"targetIndexes" : 
					[
						53
					]
				},
				{
					"build" : "esp-idf/esp_local_ctrl",
					"jsonFile" : "directory-esp-idf.esp_local_ctrl-edfc4bd051989356729d.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/esp_local_ctrl",
					"targetIndexes" : 
					[
						23
					]
				},
				{
					"build" : "esp-idf/espcoredump",
					"jsonFile" : "directory-esp-idf.espcoredump-a9fd2e2da3950af69e0f.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/espcoredump",
					"targetIndexes" : 
					[
						34
					]
				},
				{
					"build" : "esp-idf/wear_levelling",
					"jsonFile" : "directory-esp-idf.wear_levelling-75e8aa94a0843b359a49.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/wear_levelling",
					"targetIndexes" : 
					[
						65
					]
				},
				{
					"build" : "esp-idf/sdmmc",
					"jsonFile" : "directory-esp-idf.sdmmc-50fd4d16c34c39d8ca52.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/sdmmc",
					"targetIndexes" : 
					[
						55
					]
				},
				{
					"build" : "esp-idf/fatfs",
					"jsonFile" : "directory-esp-idf.fatfs-aae9accfc2a8d5ca11a5.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/fatfs",
					"targetIndexes" : 
					[
						38
					]
				},
				{
					"build" : "esp-idf/idf_test",
					"jsonFile" : "directory-esp-idf.idf_test-286bff84dff526516956.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/idf_test"
				},
				{
					"build" : "esp-idf/ieee802154",
					"jsonFile" : "directory-esp-idf.ieee802154-564116ffb3f726ef2659.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/ieee802154"
				},
				{
					"build" : "esp-idf/json",
					"jsonFile" : "directory-esp-idf.json-f75206280d1aad5dad8d.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/json",
					"targetIndexes" : 
					[
						45
					]
				},
				{
					"build" : "esp-idf/openthread",
					"jsonFile" : "directory-esp-idf.openthread-9c328e0a3ceb1eb0a84b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/openthread"
				},
				{
					"build" : "esp-idf/perfmon",
					"jsonFile" : "directory-esp-idf.perfmon-e93ada945fc61941d8ce.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/perfmon",
					"targetIndexes" : 
					[
						51
					]
				},
				{
					"build" : "esp-idf/touch_element",
					"jsonFile" : "directory-esp-idf.touch_element-0a5df1716b6225e3a8ab.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/touch_element",
					"targetIndexes" : 
					[
						60
					]
				},
				{
					"build" : "esp-idf/ulp",
					"jsonFile" : "directory-esp-idf.ulp-695bb5e6d6a000701853.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/ulp",
					"targetIndexes" : 
					[
						61
					]
				},
				{
					"build" : "esp-idf/usb",
					"jsonFile" : "directory-esp-idf.usb-654b5d618716bb72cf72.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-espidf/components/usb",
					"targetIndexes" : 
					[
						63
					]
				},
				{
					"build" : "esp-idf/src",
					"jsonFile" : "directory-esp-idf.src-c23e0bc8c53af43ca0ef.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "src",
					"targetIndexes" : 
					[
						58,
						115,
						116
					]
				},
				{
					"build" : "esp-idf/espressif__mdns",
					"jsonFile" : "directory-esp-idf.espressif__mdns-8bc0cb774bebef2ab5aa.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "managed_components/espressif__mdns",
					"targetIndexes" : 
					[
						37
					]
				},
				{
					"build" : "esp-idf/joltwallet__littlefs",
					"jsonFile" : "directory-esp-idf.joltwallet__littlefs-b9e6525a9a31950f3963.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "managed_components/joltwallet__littlefs",
					"targetIndexes" : 
					[
						44
					]
				},
				{
					"build" : "esp-idf/espressif__esp-dsp",
					"jsonFile" : "directory-esp-idf.espressif__esp-dsp-fe2b2635fb99305225c1.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "managed_components/espressif__esp-dsp",
					"targetIndexes" : 
					[
						35
					]
				},
				{
					"build" : "esp-idf/espressif__esp_modem",
					"jsonFile" : "directory-esp-idf.espressif__esp_modem-f5820b6333559d2cb78f.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "managed_components/espressif__esp_modem",
					"targetIndexes" : 
					[
						36
					]
				},
				{
					"build" : "esp-idf/framework-arduinoespressif32-src-48c32084dae8c98ab4d20573188975da",
					"jsonFile" : "directory-esp-idf.framework-arduinoespressif32-src-48c32084dae8c98ab4d20573188975da-8af111cedb475be64ca4.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/a.abrosimov/.platformio/packages/framework-arduinoespressif32-src-48c32084dae8c98ab4d20573188975da",
					"targetIndexes" : 
					[
						39
					]
				}
			],
			"name" : "",
			"projects" : 
			[
				{
					"childIndexes" : 
					[
						1
					],
					"directoryIndexes" : 
					[
						0
					],
					"name" : "waterius-esp32",
					"targetIndexes" : 
					[
						69,
						71,
						74,
						76,
						78,
						79,
						80,
						88,
						90,
						92,
						93,
						99,
						100,
						107,
						110,
						111,
						112,
						113,
						114,
						117
					]
				},
				{
					"childIndexes" : 
					[
						2
					],
					"directoryIndexes" : 
					[
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24,
						25,
						26,
						27,
						28,
						29,
						30,
						31,
						32,
						33,
						34,
						35,
						36,
						37,
						38,
						39,
						40,
						41,
						42,
						43,
						44,
						45,
						46,
						47,
						48,
						49,
						50,
						51,
						52,
						53,
						54,
						55,
						56,
						57,
						58,
						59,
						60,
						61,
						62,
						63,
						64,
						65,
						66,
						67,
						68,
						69,
						70,
						71,
						72,
						73,
						74,
						75,
						76,
						77,
						78,
						79,
						80,
						81,
						82,
						83,
						84,
						85,
						86,
						87,
						88,
						89,
						90
					],
					"name" : "esp-idf",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24,
						25,
						26,
						27,
						28,
						29,
						30,
						31,
						32,
						33,
						34,
						35,
						36,
						37,
						38,
						39,
						40,
						41,
						42,
						43,
						44,
						45,
						46,
						47,
						48,
						49,
						50,
						51,
						52,
						53,
						54,
						55,
						56,
						57,
						58,
						59,
						60,
						61,
						62,
						63,
						64,
						65,
						66,
						67,
						68,
						72,
						73,
						75,
						77,
						81,
						82,
						83,
						84,
						85,
						86,
						87,
						89,
						98,
						102,
						103,
						104,
						105,
						106,
						108,
						109,
						115,
						116
					]
				},
				{
					"directoryIndexes" : 
					[
						9,
						10,
						11,
						12,
						13,
						14,
						15
					],
					"name" : "Mbed TLS",
					"parentIndex" : 1,
					"targetIndexes" : 
					[
						70,
						91,
						94,
						95,
						96,
						97,
						101
					]
				}
			],
			"targets" : 
			[
				{
					"directoryIndex" : 41,
					"id" : "__idf___pio_env::@8ed72ffb2edf9d360e6d",
					"jsonFile" : "target-__idf___pio_env-e3779c7b64ad90a2878d.json",
					"name" : "__idf___pio_env",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 42,
					"id" : "__idf_app_trace::@dd7eb3aa23293586d3b8",
					"jsonFile" : "target-__idf_app_trace-4318b1faf3ce7bde8294.json",
					"name" : "__idf_app_trace",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 22,
					"id" : "__idf_app_update::@cc3b426666063acc9674",
					"jsonFile" : "target-__idf_app_update-06e143a9a0c1ad3a3dcf.json",
					"name" : "__idf_app_update",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 17,
					"id" : "__idf_bootloader_support::@d88583f91142925c6676",
					"jsonFile" : "target-__idf_bootloader_support-86338e2da0031f2ecf8e.json",
					"name" : "__idf_bootloader_support",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 55,
					"id" : "__idf_cmock::@38f9eb59693b7394f54c",
					"jsonFile" : "target-__idf_cmock-b77a36771c516116f0e7.json",
					"name" : "__idf_cmock",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 56,
					"id" : "__idf_console::@4311ed8d271cc0ee1422",
					"jsonFile" : "target-__idf_console-6a5ca8a80a36ad4fcb1a.json",
					"name" : "__idf_console",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 40,
					"id" : "__idf_cxx::@fc68b7334ac9a9392d41",
					"jsonFile" : "target-__idf_cxx-8dfd6fd7b8feb5319920.json",
					"name" : "__idf_cxx",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 6,
					"id" : "__idf_driver::@76403182dd99a02c203e",
					"jsonFile" : "target-__idf_driver-a9a5320e4a1eead1d2b2.json",
					"name" : "__idf_driver",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "__idf_efuse::@2da764c922f8b73e9c75",
					"jsonFile" : "target-__idf_efuse-6f396d76c58e65c3096a.json",
					"name" : "__idf_efuse",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 58,
					"id" : "__idf_esp-tls::@fec40229f530785b7d3e",
					"jsonFile" : "target-__idf_esp-tls-7173e2518ca877b6f37e.json",
					"name" : "__idf_esp-tls",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 59,
					"id" : "__idf_esp_adc::@847b8318c687ffb50ebb",
					"jsonFile" : "target-__idf_esp_adc-91fba682a8d0d0d53374.json",
					"name" : "__idf_esp_adc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 16,
					"id" : "__idf_esp_app_format::@08c2bdce7fd85cdbea06",
					"jsonFile" : "target-__idf_esp_app_format-343b3d462c93854d6918.json",
					"name" : "__idf_esp_app_format",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 51,
					"id" : "__idf_esp_coex::@63a11468974fcf3715f9",
					"jsonFile" : "target-__idf_esp_coex-9efbbf5f77a6eb3101fa.json",
					"name" : "__idf_esp_coex",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 29,
					"id" : "__idf_esp_common::@5ba0aac035ae9b4e20a4",
					"jsonFile" : "target-__idf_esp_common-29fd8e9946e134f342a9.json",
					"name" : "__idf_esp_common",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 60,
					"id" : "__idf_esp_eth::@68140d310044213ed0bc",
					"jsonFile" : "target-__idf_esp_eth-cf349ab132f7035a2b23.json",
					"name" : "__idf_esp_eth",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 43,
					"id" : "__idf_esp_event::@1426f3cbfb4523713151",
					"jsonFile" : "target-__idf_esp_event-3699f2afe10c88aa687a.json",
					"name" : "__idf_esp_event",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 61,
					"id" : "__idf_esp_gdbstub::@377a8c6ee3088554e323",
					"jsonFile" : "target-__idf_esp_gdbstub-f2f5ba9d5b2114979249.json",
					"name" : "__idf_esp_gdbstub",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 62,
					"id" : "__idf_esp_hid::@15df40e16a5d8775dd9b",
					"jsonFile" : "target-__idf_esp_hid-d13abce276597c6dadee.json",
					"name" : "__idf_esp_hid",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 64,
					"id" : "__idf_esp_http_client::@483ffd9ca1a06508c93f",
					"jsonFile" : "target-__idf_esp_http_client-a16e968af0fb224d8c6e.json",
					"name" : "__idf_esp_http_client",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 65,
					"id" : "__idf_esp_http_server::@1e8eede8f41363800887",
					"jsonFile" : "target-__idf_esp_http_server-b0522cd1e72104a525a1.json",
					"name" : "__idf_esp_http_server",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 66,
					"id" : "__idf_esp_https_ota::@55ee5ec07370a5473c2b",
					"jsonFile" : "target-__idf_esp_https_ota-a88369d99bb5c784188f.json",
					"name" : "__idf_esp_https_ota",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 35,
					"id" : "__idf_esp_hw_support::@ce4791f5a7554c569ddb",
					"jsonFile" : "target-__idf_esp_hw_support-9012a74ce694f2e39e18.json",
					"name" : "__idf_esp_hw_support",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 69,
					"id" : "__idf_esp_lcd::@d5a84597e1633c9ab0d3",
					"jsonFile" : "target-__idf_esp_lcd-73fe45b4cf6f8aa2dadd.json",
					"name" : "__idf_esp_lcd",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 72,
					"id" : "__idf_esp_local_ctrl::@d6aad58d2946e56208ef",
					"jsonFile" : "target-__idf_esp_local_ctrl-99549ad7a61667cda424.json",
					"name" : "__idf_esp_local_ctrl",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 23,
					"id" : "__idf_esp_mm::@346d49dc35574b4eea7e",
					"jsonFile" : "target-__idf_esp_mm-fa087265aa8175589ade.json",
					"name" : "__idf_esp_mm",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 49,
					"id" : "__idf_esp_netif::@0dd2a33d00052a11574d",
					"jsonFile" : "target-__idf_esp_netif-d80582bd1cf6956835a8.json",
					"name" : "__idf_esp_netif",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 21,
					"id" : "__idf_esp_partition::@d7cc29bd06eede980e19",
					"jsonFile" : "target-__idf_esp_partition-7e467921b890fb2d1067.json",
					"name" : "__idf_esp_partition",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 45,
					"id" : "__idf_esp_phy::@c4472d8d68a6cb344214",
					"jsonFile" : "target-__idf_esp_phy-b832f2a6c33582554a2c.json",
					"name" : "__idf_esp_phy",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 7,
					"id" : "__idf_esp_pm::@c93acdd4f72df5fa58db",
					"jsonFile" : "target-__idf_esp_pm-1143c230f7a076a517f8.json",
					"name" : "__idf_esp_pm",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 3,
					"id" : "__idf_esp_ringbuf::@ad62994b1ce98b81017d",
					"jsonFile" : "target-__idf_esp_ringbuf-a8740bc268e0f96ed3db.json",
					"name" : "__idf_esp_ringbuf",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 30,
					"id" : "__idf_esp_rom::@c269e361cd87ad81e927",
					"jsonFile" : "target-__idf_esp_rom-a486ae84bf5f9bd2eae5.json",
					"name" : "__idf_esp_rom",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 26,
					"id" : "__idf_esp_system::@874df54e61e20112dfd4",
					"jsonFile" : "target-__idf_esp_system-5d82c456ad5b8afb250b.json",
					"name" : "__idf_esp_system",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 5,
					"id" : "__idf_esp_timer::@08b57a33b2000f8ac4ee",
					"jsonFile" : "target-__idf_esp_timer-4857a494dd5d9bd2d970.json",
					"name" : "__idf_esp_timer",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 52,
					"id" : "__idf_esp_wifi::@c33f1523799863800685",
					"jsonFile" : "target-__idf_esp_wifi-519273b8c3dee049930b.json",
					"name" : "__idf_esp_wifi",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 73,
					"id" : "__idf_espcoredump::@718b9a7d55ab42cfc0a3",
					"jsonFile" : "target-__idf_espcoredump-2522ebe9aab757efeb62.json",
					"name" : "__idf_espcoredump",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 88,
					"id" : "__idf_espressif__esp-dsp::@173cdc30d8d2ec42511f",
					"jsonFile" : "target-__idf_espressif__esp-dsp-f724b4985058334b8006.json",
					"name" : "__idf_espressif__esp-dsp",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 89,
					"id" : "__idf_espressif__esp_modem::@e71879e93e1b868b600d",
					"jsonFile" : "target-__idf_espressif__esp_modem-9f24bdf6e777a274da80.json",
					"name" : "__idf_espressif__esp_modem",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 86,
					"id" : "__idf_espressif__mdns::@d92204a997f34ad8e688",
					"jsonFile" : "target-__idf_espressif__mdns-6d0e0b10a4ca09df7e4d.json",
					"name" : "__idf_espressif__mdns",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 76,
					"id" : "__idf_fatfs::@75ac1d9b25dacc8cc9e7",
					"jsonFile" : "target-__idf_fatfs-88d5ec37c92536f1fa9c.json",
					"name" : "__idf_fatfs",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 90,
					"id" : "__idf_framework-arduinoespressif32-src-48c32084dae8c98ab4d20573188975da::@af9b186c8632e5e3adb1",
					"jsonFile" : "target-__idf_framework-arduinoespressif32-src-48c32084dae8c98ab4d20573188975da-927c7ff15c47ef27b7c0.json",
					"name" : "__idf_framework-arduinoespressif32-src-48c32084dae8c98ab4d20573188975da",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 37,
					"id" : "__idf_freertos::@7334568587001871092c",
					"jsonFile" : "target-__idf_freertos-eb7fb4f9b7387fd6957a.json",
					"name" : "__idf_freertos",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 31,
					"id" : "__idf_hal::@41c1a00f56cd1e9ede18",
					"jsonFile" : "target-__idf_hal-43633c3906072bb86c29.json",
					"name" : "__idf_hal",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 33,
					"id" : "__idf_heap::@a3bf99b7c47be461ad9f",
					"jsonFile" : "target-__idf_heap-5a27b7f520bd92c00d80.json",
					"name" : "__idf_heap",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 57,
					"id" : "__idf_http_parser::@358cb9c2b49fd348008f",
					"jsonFile" : "target-__idf_http_parser-5db142a334e3f5c810e3.json",
					"name" : "__idf_http_parser",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 87,
					"id" : "__idf_joltwallet__littlefs::@76002c3da0fd4d8a082e",
					"jsonFile" : "target-__idf_joltwallet__littlefs-4543b40f2db7eb65e18a.json",
					"name" : "__idf_joltwallet__littlefs",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 79,
					"id" : "__idf_json::@c78a8bdc820334f01148",
					"jsonFile" : "target-__idf_json-d618266852b14156c0eb.json",
					"name" : "__idf_json",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 32,
					"id" : "__idf_log::@d5e1aa0ef4e3c98c8a70",
					"jsonFile" : "target-__idf_log-62b7b078d9d9df46aa22.json",
					"name" : "__idf_log",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 47,
					"id" : "__idf_lwip::@72bd17b7eb336521f94d",
					"jsonFile" : "target-__idf_lwip-63140600a404f5fb3b32.json",
					"name" : "__idf_lwip",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 8,
					"id" : "__idf_mbedtls::@9d0b8d44c897d31e7973",
					"jsonFile" : "target-__idf_mbedtls-f88255c1bd67639e3026.json",
					"name" : "__idf_mbedtls",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 38,
					"id" : "__idf_newlib::@1dbc38583ffafd67f967",
					"jsonFile" : "target-__idf_newlib-17f29d732dbb737c7397.json",
					"name" : "__idf_newlib",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 44,
					"id" : "__idf_nvs_flash::@b6cf96db3b320cf2c923",
					"jsonFile" : "target-__idf_nvs_flash-e1dac7cb771a4d031527.json",
					"name" : "__idf_nvs_flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 81,
					"id" : "__idf_perfmon::@aac0f647c32bb8f54a67",
					"jsonFile" : "target-__idf_perfmon-ba572fa04d1da625f890.json",
					"name" : "__idf_perfmon",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 70,
					"id" : "__idf_protobuf-c::@b14513c4bd859268ec22",
					"jsonFile" : "target-__idf_protobuf-c-40bae9dce0ea287878f7.json",
					"name" : "__idf_protobuf-c",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 71,
					"id" : "__idf_protocomm::@d76d01c8dec06205e1fc",
					"jsonFile" : "target-__idf_protocomm-be4ad979ff7003e6dff3.json",
					"name" : "__idf_protocomm",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 25,
					"id" : "__idf_pthread::@52b2aa0be8fa4ca9e52e",
					"jsonFile" : "target-__idf_pthread-785255dff8b524663af3.json",
					"name" : "__idf_pthread",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 75,
					"id" : "__idf_sdmmc::@89ed5bca1750ffbc7db6",
					"jsonFile" : "target-__idf_sdmmc-7db8cec625ffc185c90a.json",
					"name" : "__idf_sdmmc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 34,
					"id" : "__idf_soc::@824f1541829f13857909",
					"jsonFile" : "target-__idf_soc-0af0638b28869049c479.json",
					"name" : "__idf_soc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 24,
					"id" : "__idf_spi_flash::@6f8a8c72478269b2cd60",
					"jsonFile" : "target-__idf_spi_flash-f4fb52ab6d475981a58e.json",
					"name" : "__idf_spi_flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 85,
					"id" : "__idf_src::@2478b13de56d3028f688",
					"jsonFile" : "target-__idf_src-edb16573eea135a8998b.json",
					"name" : "__idf_src",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 63,
					"id" : "__idf_tcp_transport::@2217ed266b3ca9834900",
					"jsonFile" : "target-__idf_tcp_transport-1740836b68dc820a9fb5.json",
					"name" : "__idf_tcp_transport",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 82,
					"id" : "__idf_touch_element::@01c672d9a2e23f1d367f",
					"jsonFile" : "target-__idf_touch_element-b7d46330c8ff9a151c11.json",
					"name" : "__idf_touch_element",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 83,
					"id" : "__idf_ulp::@59f74c71af7e30dd3e55",
					"jsonFile" : "target-__idf_ulp-8246fa847056269e3a17.json",
					"name" : "__idf_ulp",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 54,
					"id" : "__idf_unity::@fec746937506b5690992",
					"jsonFile" : "target-__idf_unity-ff9700d23974fae7c86f.json",
					"name" : "__idf_unity",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 84,
					"id" : "__idf_usb::@4a2418067d0bb57af462",
					"jsonFile" : "target-__idf_usb-9b75204dcc5e4964277a.json",
					"name" : "__idf_usb",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 46,
					"id" : "__idf_vfs::@57481f90220bce4f7e1a",
					"jsonFile" : "target-__idf_vfs-7d29bf7391c85fdd370f.json",
					"name" : "__idf_vfs",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 74,
					"id" : "__idf_wear_levelling::@cb21b0d7c0815cff11c6",
					"jsonFile" : "target-__idf_wear_levelling-7a21250e8ef3f4329331.json",
					"name" : "__idf_wear_levelling",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 50,
					"id" : "__idf_wpa_supplicant::@2124e86f93fbab1c8043",
					"jsonFile" : "target-__idf_wpa_supplicant-4283cbae64313c21d1d7.json",
					"name" : "__idf_wpa_supplicant",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 2,
					"id" : "__idf_xtensa::@1daaaad7abe597e030f9",
					"jsonFile" : "target-__idf_xtensa-8de8facfd272f379b32b.json",
					"name" : "__idf_xtensa",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 26,
					"id" : "__ldgen_output_sections.ld::@874df54e61e20112dfd4",
					"jsonFile" : "target-__ldgen_output_sections.ld-819fb7dfcd22018b1b5a.json",
					"name" : "__ldgen_output_sections.ld",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "_project_elf_src::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-_project_elf_src-fcd6ade88fb13bda6379.json",
					"name" : "_project_elf_src",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 9,
					"id" : "apidoc::@b8f87a1a94d8d9bb59bb",
					"jsonFile" : "target-apidoc-f5af68db7cc6b875de96.json",
					"name" : "apidoc",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 0,
					"id" : "app::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-app-21f79341ca6bfbbaccb3.json",
					"name" : "app",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 19,
					"id" : "app-flash::@bf8f55be585a12323665",
					"jsonFile" : "target-app-flash-28798d3170ebe807d99c.json",
					"name" : "app-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 19,
					"id" : "app_check_size::@bf8f55be585a12323665",
					"jsonFile" : "target-app_check_size-54d9831bcf1fd4c3875b.json",
					"name" : "app_check_size",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "bootloader::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-bootloader-3efbb5d25d2e067c75e8.json",
					"name" : "bootloader",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 18,
					"id" : "bootloader-flash::@4013c5adf9c02e1a402c",
					"jsonFile" : "target-bootloader-flash-278b76aa4d194847e0d4.json",
					"name" : "bootloader-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "confserver::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-confserver-e7e07bb711e1eb4168d8.json",
					"name" : "confserver",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 8,
					"id" : "custom_bundle::@9d0b8d44c897d31e7973",
					"jsonFile" : "target-custom_bundle-857e508c819f2c3db54b.json",
					"name" : "custom_bundle",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-c2e5e9e03b975c0160a1.json",
					"name" : "dfu",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu-flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-flash-2a509aaec5b1667e0013.json",
					"name" : "dfu-flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu-list::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-list-08d9c96e597b2fc5222a.json",
					"name" : "dfu-list",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse-common-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse-common-table-760e6fd6d7b01b2bc208.json",
					"name" : "efuse-common-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse-custom-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse-custom-table-fb66ec78b4a0b66e6245.json",
					"name" : "efuse-custom-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse_common_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_common_table-400fd634fdd46eb9ad29.json",
					"name" : "efuse_common_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse_custom_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_custom_table-a0c5b85fe42f81f54621.json",
					"name" : "efuse_custom_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse_test_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_test_table-711b83fd9ccd19d51fb6.json",
					"name" : "efuse_test_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 19,
					"id" : "encrypted-app-flash::@bf8f55be585a12323665",
					"jsonFile" : "target-encrypted-app-flash-bc8a4c940920b1011b33.json",
					"name" : "encrypted-app-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 18,
					"id" : "encrypted-bootloader-flash::@4013c5adf9c02e1a402c",
					"jsonFile" : "target-encrypted-bootloader-flash-55eff1cee87ec4b35fef.json",
					"name" : "encrypted-bootloader-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "encrypted-flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-encrypted-flash-d9ee8d70c70c7c3e6aea.json",
					"name" : "encrypted-flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 20,
					"id" : "encrypted-partition-table-flash::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-encrypted-partition-table-flash-cc51ef190bef9a502b9b.json",
					"name" : "encrypted-partition-table-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "erase_flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-erase_flash-59d42352ceeb2d53fd20.json",
					"name" : "erase_flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 12,
					"id" : "everest::@3ecd26ac3776729513f0",
					"jsonFile" : "target-everest-99b136b224c50d5c4767.json",
					"name" : "everest",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 0,
					"id" : "flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-flash-11ee4df3eb801829aaa0.json",
					"name" : "flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "gen_project_binary::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-gen_project_binary-dc4eacbbc7e2b9220e58.json",
					"name" : "gen_project_binary",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 14,
					"id" : "lib::@12759e2a35724d846b97",
					"jsonFile" : "target-lib-f4961ad8886235950a3a.json",
					"name" : "lib",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 14,
					"id" : "mbedcrypto::@12759e2a35724d846b97",
					"jsonFile" : "target-mbedcrypto-ba5e2a104bfcb9b3ab1e.json",
					"name" : "mbedcrypto",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 14,
					"id" : "mbedtls::@12759e2a35724d846b97",
					"jsonFile" : "target-mbedtls-28c1734145b2b73fdcc3.json",
					"name" : "mbedtls",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 14,
					"id" : "mbedx509::@12759e2a35724d846b97",
					"jsonFile" : "target-mbedx509-d78560241dc06c21cb70.json",
					"name" : "mbedx509",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 26,
					"id" : "memory_ld::@874df54e61e20112dfd4",
					"jsonFile" : "target-memory_ld-2e70b1ea97e4aee54aee.json",
					"name" : "memory_ld",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "menuconfig::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-menuconfig-156155eea19018f55f00.json",
					"name" : "menuconfig",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "monitor::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-monitor-5557503a9ce33a4343fa.json",
					"name" : "monitor",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 13,
					"id" : "p256m::@c854ae7c6350d6f63df0",
					"jsonFile" : "target-p256m-3a8a135f8dd50671f771.json",
					"name" : "p256m",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 20,
					"id" : "partition-table::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition-table-6adc116ca113981ae5f7.json",
					"name" : "partition-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 20,
					"id" : "partition-table-flash::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition-table-flash-eab7a11fbf6861974b97.json",
					"name" : "partition-table-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 20,
					"id" : "partition_table::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition_table-76161e177ce1ee17f6e7.json",
					"name" : "partition_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 20,
					"id" : "partition_table-flash::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition_table-flash-a9fff39d2576f5dc4fb2.json",
					"name" : "partition_table-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 20,
					"id" : "partition_table_bin::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition_table_bin-0c83b80e8b958a1d1aec.json",
					"name" : "partition_table_bin",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "save-defconfig::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-save-defconfig-fd3ce1e7a09faca8ebb3.json",
					"name" : "save-defconfig",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 4,
					"id" : "show-efuse-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-show-efuse-table-72175ac4879eec4902e0.json",
					"name" : "show-efuse-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "show_efuse_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-show_efuse_table-493abcdf4e2658ebbbe0.json",
					"name" : "show_efuse_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "size::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-6c63b453ef9e81a6480d.json",
					"name" : "size",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "size-components::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-components-48e78f04b43c12f65c18.json",
					"name" : "size-components",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "size-files::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-files-c485610fe91b09cb4eb2.json",
					"name" : "size-files",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uf2::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uf2-84699cad99903092c9c4.json",
					"name" : "uf2",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uf2-app::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uf2-app-a10367a3cf1fa81748a3.json",
					"name" : "uf2-app",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 85,
					"id" : "ulp_main::@2478b13de56d3028f688",
					"jsonFile" : "target-ulp_main-6dbcbb5eb5d047d187f9.json",
					"name" : "ulp_main",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 85,
					"id" : "ulp_main_artifacts::@2478b13de56d3028f688",
					"jsonFile" : "target-ulp_main_artifacts-bb9016c37fd0904978e1.json",
					"name" : "ulp_main_artifacts",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "waterius-esp32.elf::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-waterius-esp32.elf-acc40befe3e200a9bd63.json",
					"name" : "waterius-esp32.elf",
					"projectIndex" : 0
				}
			]
		}
	],
	"kind" : "codemodel",
	"paths" : 
	{
		"build" : "C:/Git/waterius-esp32s2/ESP32S2/.pio/build/esp32s2",
		"source" : "C:/Git/waterius-esp32s2/ESP32S2"
	},
	"version" : 
	{
		"major" : 2,
		"minor" : 3
	}
}
